Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deOccludeRasterizer Class Reference

`#include <deOccludeRaster.hpp>`

Collaboration diagram for deOccludeRasterizer:

[legend]
List of all members.

## Public Types
typedef u16 | BufferType
## Public Member Functions
| deOccludeRasterizer ()
| ~deOccludeRasterizer ()
void | SetBufferSize (short Width, short Height)
void | SetViewport (const deRect &ViewRect)
void | SetScissorRect (const deRect &ScissorRect)
void | SetGradientCutoff (deFloat Cutoff)
void | SetPixelCounting (deBoolean CountPixels)
void | SetWorldTransform (const deTransformInfo &World)
void | SetViewTransform (const deTransformInfo &View)
void | SetFOVClipping (float FOVY, float Aspect, float ClipNear, float ClipFar, deFloatRect *FSubRect=NULL)
void | SetOrthoClipping (float Width, float Height, float ClipNear, float ClipFar, deBoolean Invert, deFloatRect *FSubRect=NULL)
void | ClearBuffer ()
int | RenderIndexedTriangles (deBoolean TestOnly, const deVertex *Vertices, long NumVertices, const WORD *Indices=NULL, long NumIndices=0)
const BufferType * | GetBuffer (long level=-1, deBoolean MinNotMax=deFALSE) const
long | GetBufferDepth () const
void | GetBufferSize (short &Width, short &Height, long level=-1) const
void | GetViewport (deRect &ViewRect) const
void | GetScissorRect (deRect &ScissorRect) const
deFloat | GetGradientCutoff () const
## Private Member Functions
void | ConcatenateMatrices ()
void | ResizeBuffer ()
void | BuildHierarchy (deBoolean ForceTearDown=deFALSE)
deBoolean | TestScreenExtentsVisible (const deFloatRect &FullExtents, DWORD MinZ, int MaxLevel)
## Private Attributes
deTransform | m_WorldTransform
deTransform | m_ViewPosTransform
deTransform | m_ViewportTransform
deMatrix44 | m_ProjectionTransform
deMatrix44 | m_ConcatenatedTransform
deFloat | m_LastProjectionColumn [4]
deFloat | m_NearClip
deFloat | m_FarClip
deRect | m_Viewport
deRect | m_ScissorRect
deFloat | m_GradientCutoff
BufferType * | m_Buffer
BufferLevel_t * | m_Hierarchy
short | m_Width
short | m_Height
short | m_HierarchyDepth
deBoolean | m_TransformsChanged
deBoolean | m_BufferSizeChanged
deBoolean | m_DirtyBuffer
deBoolean | m_CountPixels

## Member Typedef Documentation

typedef u16 deOccludeRasterizer::BufferType

## Constructor & Destructor Documentation

deOccludeRasterizer::deOccludeRasterizer | ( |  | ) |

deOccludeRasterizer::~deOccludeRasterizer | ( |  | ) |

## Member Function Documentation

void deOccludeRasterizer::BuildHierarchy | ( | deBoolean | ForceTearDown = deFALSE | ) | `[private]`

void deOccludeRasterizer::ClearBuffer | ( |  | ) |

void deOccludeRasterizer::ConcatenateMatrices | ( |  | ) | `[private]`

const deOccludeRasterizer::BufferType * deOccludeRasterizer::GetBuffer | ( | long | level = -1,
|  | deBoolean | MinNotMax = deFALSE
| ) | const

long deOccludeRasterizer::GetBufferDepth | ( |  | ) | const

void deOccludeRasterizer::GetBufferSize | ( | short & | Width,
|  | short & | Height,
|  | long | level = -1
| ) | const

deFloat deOccludeRasterizer::GetGradientCutoff | ( |  | ) | const

void deOccludeRasterizer::GetScissorRect | ( | deRect & | ScissorRect | ) | const

void deOccludeRasterizer::GetViewport | ( | deRect & | ViewRect | ) | const

int deOccludeRasterizer::RenderIndexedTriangles | ( | deBoolean | TestOnly,
|  | const deVertex * | Vertices,
|  | long | NumVertices,
|  | const WORD * | Indices = NULL,
|  | long | NumIndices = 0
| ) |

void deOccludeRasterizer::ResizeBuffer | ( |  | ) | `[private]`

void deOccludeRasterizer::SetBufferSize | ( | short | Width,
|  | short | Height
| ) |

void deOccludeRasterizer::SetFOVClipping | ( | float | FOVY,
|  | float | Aspect,
|  | float | ClipNear,
|  | float | ClipFar,
|  | deFloatRect * | FSubRect = NULL
| ) |

void deOccludeRasterizer::SetGradientCutoff | ( | deFloat | Cutoff | ) |

void deOccludeRasterizer::SetOrthoClipping | ( | float | Width,
|  | float | Height,
|  | float | ClipNear,
|  | float | ClipFar,
|  | deBoolean | Invert,
|  | deFloatRect * | FSubRect = NULL
| ) |

void deOccludeRasterizer::SetPixelCounting | ( | deBoolean | CountPixels | ) |

void deOccludeRasterizer::SetScissorRect | ( | const deRect & | ScissorRect | ) |

void deOccludeRasterizer::SetViewport | ( | const deRect & | ViewRect | ) |

void deOccludeRasterizer::SetViewTransform | ( | const deTransformInfo & | View | ) |

void deOccludeRasterizer::SetWorldTransform | ( | const deTransformInfo & | World | ) |

deBoolean deOccludeRasterizer::TestScreenExtentsVisible | ( | const deFloatRect & | FullExtents,
|  | DWORD | MinZ,
|  | int | MaxLevel
| ) | `[private]`

## Member Data Documentation

BufferType* deOccludeRasterizer::m_Buffer`[private]`

deBoolean deOccludeRasterizer::m_BufferSizeChanged`[private]`

deMatrix44 deOccludeRasterizer::m_ConcatenatedTransform`[private]`

deBoolean deOccludeRasterizer::m_CountPixels`[private]`

deBoolean deOccludeRasterizer::m_DirtyBuffer`[private]`

deFloat deOccludeRasterizer::m_FarClip`[private]`

deFloat deOccludeRasterizer::m_GradientCutoff`[private]`

short deOccludeRasterizer::m_Height`[private]`

BufferLevel_t* deOccludeRasterizer::m_Hierarchy`[private]`

short deOccludeRasterizer::m_HierarchyDepth`[private]`

deFloat deOccludeRasterizer::m_LastProjectionColumn[4]`[private]`

deFloat deOccludeRasterizer::m_NearClip`[private]`

deMatrix44 deOccludeRasterizer::m_ProjectionTransform`[private]`

deRect deOccludeRasterizer::m_ScissorRect`[private]`

deBoolean deOccludeRasterizer::m_TransformsChanged`[private]`

deRect deOccludeRasterizer::m_Viewport`[private]`

deTransform deOccludeRasterizer::m_ViewportTransform`[private]`

deTransform deOccludeRasterizer::m_ViewPosTransform`[private]`

short deOccludeRasterizer::m_Width`[private]`

deTransform deOccludeRasterizer::m_WorldTransform`[private]`

The documentation for this class was generated from the following files:

- deOccludeRaster.hpp
- deOccludeRaster.cpp